Subject: [seamoby] Re: [seamoby-mm] Host route vs. tunneling

From: Michael Thomas <[email-masked]>
Date: Mon, 5 Feb 2001 13:54:24 -0800 (PST)

vincent magret writes:
 > I see a difference, it all depends how many nodes you have between the
 > access router of the wireless domain and the mobile node itself. It is
 > also a question of salability. If your network intends to support
 > 100.000 visiting subscribers, that starts making huge routing table.

   Host routing scales exactly as far as you want
   it to scale. If you don't want 100k host routes,
   summarize the routes faster at the expense of
   somewhat slower handoffs/more signaling.

 > Host router add a strong requirement on the router in the wireless
 > domain (i.e. they all need to talk host routing update protocol) as
 > opposed to regular router.

   It's not clear that there is any new protocol to be
   invented here. IS-IS, I think, deals with this already.

		  Mike

---

From: vincent magret <[email-masked]>
Date: Mon, 05 Feb 2001 13:34:46 -0800

Vincent.

Hongyi Li wrote:

>
>
> Hi,
>   I don't see much difference between the host routing and tunneling
> approaches in supporting micro/local/edge mobility. In the tunneling
> approach, an agent (e.g., FA, MA) typically de-tunnels an incoming
> packet,
> looks at the destination address of the packet, and forwards the
> packet to the next tunnel (i.e., to another agent or the mobile). Each
> agent
> makes next-hop forwarding decision (i.e., next tunnel) based on the
> mobile's current location which is updated as the mobile moves. These
> agents actually use host routing instead of prefix based routing.
>
>   If we can agree that the agents use host routing too, then the only
> difference
> between routing and tunneling approaches is the deployment options.
> Therefore,
> to support mobility, we need only a host routing protocol + host route
> update
> protocol (named as mobile routing protocol) and give services
> providers the
> options for deployment (i.e., in routers, or agents in overlay
> network). If a service
> provider operates a network where the main concern is route efficiency
> instead
> of amount of state information, it can deploy the mobile routing
> protocol in every
> routers in its network; Otherwise, the service provider can deploy the
> routing
> protocol over selected nodes (e.g.,agents) that connected by tunnels.
>
>   A good example that highlights this deployment problem is the
> multicast routing
> protocols (e.g., DVMRP, MOSPF). The multicast routing protocols were
> designed for
> routers. As people realized that it is hard to have all the routers to
> support
> multicast, they deploy the multicast routing protocols over the
> multicast
> enabled nodes and use tunnels to connect those nodes. This doesn't
> prevent
> a service provider to deploy the same multicast routing protocol in
> all the
> routers if he wants to. To design the micro-mobility solution, I
> believe
> we should follow a similar way. We don't design a protocol for the
> nodes
> in overlay network and another protocol for routers because they
> actually
> do the same thing.
>
>   Tunneling is a transport technique used to transport packets from
> point A to point B in a network. I believe that the tunneling work
> (e.g.,
> reverse tunnel, hierarchical tunnels, ...) belongs to transport area.
> The
> only routing part for supporting mobility is host routing.
>
> -Hongyi